cURL
curl --request GET \ --url https://api.recoupable.com/api/sessions/{sessionId} \ --header 'x-api-key: <api-key>'
{ "session": { "id": "<string>", "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "status": "running", "isNewBranch": true, "globalSkillRefs": [ {} ], "lifecycleVersion": 123, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "repoOwner": "<string>", "repoName": "<string>", "branch": "<string>", "cloneUrl": "<string>", "sandboxState": {}, "lifecycleState": "provisioning", "lastActivityAt": "2023-11-07T05:31:56Z", "sandboxExpiresAt": "2023-11-07T05:31:56Z", "hibernateAfter": "2023-11-07T05:31:56Z", "lifecycleRunId": "<string>", "lifecycleError": "<string>", "linesAdded": 123, "linesRemoved": 123, "snapshotUrl": "<string>", "snapshotCreatedAt": "2023-11-07T05:31:56Z", "snapshotSizeBytes": 123, "cachedDiff": {}, "cachedDiffUpdatedAt": "2023-11-07T05:31:56Z" } }
Returns a single agent session by its id.
Documentation IndexFetch the complete documentation index at: https://developers.recoupable.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developers.recoupable.com/llms.txt
Use this file to discover all available pages before exploring further.
The id of the session to fetch.
Session retrieved successfully
Show child attributes
Was this page helpful?